Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class CollectionKey

    java.lang.Object
      org.hibernate.engine.CollectionKey

All Implemented Interfaces:
  Serializable

    public final class CollectionKey

extends Object
implements Serializable

Uniquely identifies a collection instance in a particular session.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`CollectionKey(CollectionPersister persister, Serializable key, EntityMode em)`

Method Summary
`boolean` | `equals(Object other)`
`int` | `generateHashCode()`
`Serializable` | `getKey()`
`String` | `getRole()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionKey

    public CollectionKey(CollectionPersister persister,
                         Serializable key,
                         EntityMode em)

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### generateHashCode

    public int generateHashCode()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRole

    public String getRole()

### getKey

    public Serializable getKey()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.